Stress da aggiornamento

Ieri mi è letteralmente esploso il newsreader. In poche ore i siti dedicati a Joomla cui sono iscritto sono letteralmente esplosi: una nuova versione è stata annunciata e se ne è consigliata l’istallazione con una certa urgenza.

Stamattina mi sono messo al lavoro. Solito back-up, solito download, solito aggiornamento. Un po’ di suspance (ma nemmeno troppa), ed ecco che… la nuova versione non funzionava!

Corro ai ripari, cerco in rete nei forum più frequentati, ed ecco che si svela il mistero: nella versione 1.5.7 c’è un bug che crea problemi con PHP4. Una volta individuato il problema, si risolve abbastanza in fretta, ma rimangono una serie di interrogativi:

  1. è normale dover aggiornare i propri siti una volta al mese circa? senza dubbio, il lavoro di upgrade sta divetando più gravoso della messa in opera.
  2. è normale dover dipendere da fornitori di servizi che, non conoscendo bene il CMS, stentano a fornire la configurazione che si richiede?
  3. ma allora è vero che i tecnici sono il problema più noioso di chi si occupa dell’architettura di un sito?

e tutto questo quando sembra che Joomla! 1.6 non sarà compatibile con PHP4.

Sembra che chi voglia continuare a lavorare serenamente con Joomla! sia quasi costretto a scegliere servizi di hosting dedicato.

Meno male che dietro il progetto Joomla! che c’è una community eccezionale.

Annunci
Questo articolo è stato pubblicato in CMS e contrassegnato come da carlo . Aggiungi il permalink ai segnalibri.